#include "SDPdef.h"

clock_t GetTime(void)
{
  clock_t t;

#ifdef UNIXMACH  
  t = times(&tmrec);
  t = tmrec.tms_utime+tmrec.tms_stime;
#else
  t = clock();
#endif

  return t;
} /* GetTime */


int SetTime(clock_t tim[],
            int     phase)
{
  int i;
  
  tim[phase]=GetTime(); 
  for (i=phase+1; i<ELAPSED; i++)
    tim[i]=tim[phase];
    
  return TRUE;
}


double TimeInSec(clock_t head,
                 clock_t rear)
{
  double tscal;

#ifdef PCMACHINE
  tscal=0.001;
#else
  tscal=0.01;
#endif

  return ((double)(rear-head)*tscal);
} /* TimeInSec */

